Software updater no longer functional

MR ZenWiz mrzenwiz at gmail.com
Thu Feb 16 16:47:22 UTC 2017


Recent differences:

1. The Software Updates (aka Software &Updates) does not start up and
run at all.  clicking on it in either the Settings Manager or the
Settings menu item produces no output, no windows, nothing. It is
completely non-functional.

2. When I run the Software Updater, it will tell me what needs
updating, and it starts itself up to so notify me at various times in
the background, but when I click on "Install", all I get is a blank
window and no action.  (This is what I originally reported.)  If I run
my 'update' script, which does sudo apt-get update, sudo apt-get
dist-upgrade, sudo apt-get clean, sudo apt-get autoremove and sudo
apt-get autoclean, that usually works.

3. However, today I started to get this error:

Failure to download extra data files

The following packages requested additional data downloads after
package installation, but the data could not be downloaded or could
not be processed.

flashplugin-installer

The download will be attempted again later, or you can try the
download again now.  Running this command requires an active Internet
connection.

When I looked this up on aksubuntu, it gives instructions to include
Canonical Partners among the sources, but it only provides
instructions on how to do so within Software & Updates, which, as I
noted above, does not function at all.

4. I tried to use Synaptic for this, and the Settings -> Repositories
feature does not work right.  It pops up a windows that tells me "The
repository information has changed. You have to click on the "Reload"
button for your changes to take effect", but when I do that, all it
does is "reload" the repository information and never gives me the
option to edit them or anything.

5. So I went to the command line and purged the flashplugin-installer,
then tried to install it and I get this:

admar at marbase:~/Downloads $ sudo apt-get install flashplugin-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  x-ttcidfont-conf ttf-mscorefonts-installer ttf-xfree86-nonfree xfs
The following packages will be REMOVED:
  adobe-flashplugin
The following NEW packages will be installed:
  flashplugin-installer
0 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B/6,812 B of archives.
After this operation, 37.1 MB disk space will be freed.
Do you want to continue? [Y/n] y
Preconfiguring packages ...
(Reading database ... 259611 files and directories currently installed.)
Removing adobe-flashplugin (1:20170214.1-0ubuntu0.16.04.1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Selecting previously unselected package flashplugin-installer.
(Reading database ... 259586 files and directories currently installed.)
Preparing to unpack
.../flashplugin-installer_24.0.0.221ubuntu0.16.04.1_amd64.deb ...
Unpacking flashplugin-installer (24.0.0.221ubuntu0.16.04.1) ...
Processing triggers for update-notifier-common (3.168.3) ...
flashplugin-installer: processing...
flashplugin-installer: downloading
http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170214.1.orig.tar.gz
Get:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170214.1.orig.tar.gz
[31.8 MB]
Fetched 31.8 MB in 2min 6s (252 kB/s)
********************** Emphasis added here **********************
W: Can't drop privileges for downloading as file
'/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170214.1.orig.tar.gz'
couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission
denied)
********************** End emphasis added  **********************
Installing from local file
/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170214.1.orig.tar.gz
Flash Plugin installed.
Setting up flashplugin-installer (24.0.0.221ubuntu0.16.04.1) ...

How do I know this actually worked?

Bottom line: how do I completely purge the Software & Updates and
Software Updater packages and reinstall them?  It seems like that may
be the only way to fix this, but I want to do it without impacting any
other installed packages.  This is a freshly installed version of
Xubuntu 16.04.1 that I re-did when I added an SSD for my boot/root
drive.

Thanks.

MR



More information about the ubuntu-users mailing list